package com.isu.gaswellwatch.modbus.data;

import lombok.Getter;

import java.util.HashMap;
import java.util.Map;

@Getter
public enum ModbusDeviceTypeEnum {

    KNPCV1("4", PersistenceHandler.KNPCV1_MODBUS_TYPE),
    ETC("5", PersistenceHandler.ETC_MODBUS_TYPE),
    SCSS("6", PersistenceHandler.SCSS_MODBUS_TYPE);

    private final String id;
    private final String code;

    ModbusDeviceTypeEnum(String id, String code) {
        this.id = id;
        this.code = code;
    }

    @Override
    public String toString() {
        return getCode();
    }

    public static String getCodeById(String id) {
        return enumMap.get(id);
    }

    private static final Map<String, String> enumMap = new HashMap<String, String>();

    static {
        for (ModbusDeviceTypeEnum type : ModbusDeviceTypeEnum.values()) {
            enumMap.put(type.id, type.code);
        }
    }

}
